Bug 1311698 - _ped.CreateException: Can't have the end before the start! (start sector=69 length=0)
_ped.CreateException: Can't have the end before the start! (start sector=69 l...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:649172664dbb323481de3c7f900...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 13:48 EST by Chris Murphy
Modified: 2017-12-12 06:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.15 MB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: anaconda.log (109.62 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: environ (494 bytes, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: journalctl (402.66 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: lsblk_output (6.29 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: nmcli_dev_list (2.22 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: os_info (528 bytes, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: program.log (77.01 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: storage.log (600.58 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details
File: ifcfg.log (4.23 KB, text/plain)
2016-02-24 13:49 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2016-02-24 13:48:54 EST
Description of problem:
Chromium OS with valid GPT, guided UI allows me to shrink a bunch of "unknown" partitions containing only binary blobs, including 512 byte partitions, which is probably what the crash is about since 512 byte partitions can't be made any smaller.

Version-Release number of selected component:
anaconda-core-24.11-1.fc24.x86_64

The following was filed automatically by anaconda:
anaconda 24.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/parted/geometry.py", line 56, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
  File "/usr/lib64/python3.5/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.5/site-packages/blivet/devices/partition.py", line 627, in _computeResize
    length=newLen)
  File "/usr/lib/python3.5/site-packages/blivet/devices/partition.py", line 252, in alignTargetSize
    newsize=newsize)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 445, in _scheduleActions
    aligned = device.alignTargetSize(Size(obj.target))
_ped.CreateException: Can't have the end before the start! (start sector=69 length=0)

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-rawhide-20 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.5.0-0.rc2.git3.1.fc24.x86_64
other involved packages: python3-pyparted-3.10.7-2.fc24.x86_64, python3-blivet-1.18-1.fc24.noarch, anaconda-gui-24.11-1.fc24.x86_64
product:        Fedora
release:        Fedora release 24 (Rawhide)
type:           anaconda
version:        rawhide
Comment 1 Chris Murphy 2016-02-24 13:49:00 EST
Created attachment 1130290 [details]
File: anaconda-tb
Comment 2 Chris Murphy 2016-02-24 13:49:01 EST
Created attachment 1130291 [details]
File: anaconda.log
Comment 3 Chris Murphy 2016-02-24 13:49:02 EST
Created attachment 1130292 [details]
File: environ
Comment 4 Chris Murphy 2016-02-24 13:49:04 EST
Created attachment 1130293 [details]
File: journalctl
Comment 5 Chris Murphy 2016-02-24 13:49:05 EST
Created attachment 1130294 [details]
File: lsblk_output
Comment 6 Chris Murphy 2016-02-24 13:49:05 EST
Created attachment 1130295 [details]
File: nmcli_dev_list
Comment 7 Chris Murphy 2016-02-24 13:49:06 EST
Created attachment 1130296 [details]
File: os_info
Comment 8 Chris Murphy 2016-02-24 13:49:07 EST
Created attachment 1130297 [details]
File: program.log
Comment 9 Chris Murphy 2016-02-24 13:49:09 EST
Created attachment 1130298 [details]
File: storage.log
Comment 10 Chris Murphy 2016-02-24 13:49:10 EST
Created attachment 1130299 [details]
File: ifcfg.log
Comment 11 Jan Kurik 2016-07-26 00:06:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 12 Fedora End Of Life 2017-11-16 13:54:07 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2017-12-12 06:04:33 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.